﻿
using HeuristicLab.Problems.RoutePlanning.Utilities;
namespace HeuristicLab.Problems.RoutePlanning.Data.Osm.Core {
  public class Node : OsmBase {
    private PointD point;

    public double Longitude {
      get { return point.X; }
      set { point.X = value; }
    }
    public double Latitude {
      get { return point.Y; }
      set { point.Y = value; }
    }

    public PointD Point {
      get { return point; }
    }

    public Node() {
      point = new PointD();
    }

    public Node(long id, double lat, double lon)
      : base(id) {
      point = new PointD(lat, lon);
    }
  }
}
